Package pacManReloaded.server

## Class GameLoader

- java.lang.Object
- - pacManReloaded.server.GameLoader

-     public class GameLoader
      extends java.lang.Object

  load the map.txt and creat map

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GameLoader()` | Dummy-Constructor for Unit-Testing
    `GameLoader​(INavigator nav, java.util.ArrayList<Player> players)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Gate` | `createGate​(java.lang.String line)` | create Gate
    `Ghost` | `createGhost​(java.lang.String line)` | create Ghoast
    `PacMan` | `createPacMan​(java.lang.String line)` | create pacman
    `java.util.List<PowerBall>` | `createPowerBalls​(java.lang.String line)` | create powerball
    `Wall` | `createWall​(java.lang.String line)` | create wall
    `boolean` | `load​(java.lang.String path, Map map, java.util.ArrayList<Player> actors)` | load the map.txt and creat map

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GameLoader

          public GameLoader​(INavigator nav,
                            java.util.ArrayList<Player> players)

    - #### GameLoader

          public GameLoader()

      Dummy-Constructor for Unit-Testing

  - ### Method Detail

    - #### load

          public boolean load​(java.lang.String path,
                              Map map,
                              java.util.ArrayList<Player> actors)
                       throws java.io.IOException

      load the map.txt and creat map
      Throws:
        `java.io.IOException`

    - #### createGate

          public Gate createGate​(java.lang.String line)

      create Gate

    - #### createGhost

          public Ghost createGhost​(java.lang.String line)

      create Ghoast

    - #### createPowerBalls

          public java.util.List<PowerBall> createPowerBalls​(java.lang.String line)

      create powerball

    - #### createWall

          public Wall createWall​(java.lang.String line)

      create wall

    - #### createPacMan

          public PacMan createPacMan​(java.lang.String line)

      create pacman